const { dialog } = require('electron').remote


function showSelectDirDialog(title, defpath, callback){
  dialog.showOpenDialog({
    title: title,
    defaultPath: defpath,
    properties: ['openDirectory']
  }, (files)=>{
    callback(files[0]);
  })
}
